## gate.config
Class TestConfig

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.config.TestConfig

All Implemented Interfaces:
  junit.framework.Test

public class TestConfig
extends junit.framework.TestCase

CREOLE test class

Field Summary
`private static boolean` `DEBUG` Debug flag

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestConfig(String name)` Construction

Method Summary
`private void` `readConfig(URL configUrl)` Helper method that processes a config file.
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests (reinitialise the CREOLE register).
`void` `testConfigFileNaming()` Test config file naming
`void` `testConfigReading()` Test config loading
`void` `testConfigUpdating()` Test config updating
`void` `testSessionStateFileNaming()` Test session state file naming

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

Constructor Detail

### TestConfig

    public TestConfig(String name)
               throws GateException

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests (reinitialise the CREOLE register).
  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### readConfig

    private void readConfig(URL configUrl)
                     throws Exception

  Helper method that processes a config file.

### testConfigReading

    public void testConfigReading()
                           throws Exception

  Test config loading

### testConfigUpdating

    public void testConfigUpdating()
                            throws Exception

  Test config updating

### testSessionStateFileNaming

    public void testSessionStateFileNaming()
                                    throws Exception

  Test session state file naming

### testConfigFileNaming

    public void testConfigFileNaming()
                              throws Exception

  Test config file naming

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner